# $Revision: 1.15 $, $Date: 2012/06/14 14:08:05 $
#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
#
%define module	pygments
Summary:	A generic syntax highlighter as Python 2.x module
Summary(pl.UTF-8):	Moduł Pythona 2.x do ogólnego podświetlania składni
Name:		python-%{module}
Version:	1.5
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/P/Pygments/Pygments-%{version}.tar.gz
# Source0-md5:	ef997066cc9ee7a47d01fb4f3da0b5ff
URL:		http://pygments.org/
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Provides:	python-Pygments
Obsoletes:	python-Pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%package -n python3-%{module}
Summary:	Generic syntax highlighter as Python 3.x module
Summary(pl.UTF-8):	Moduł Pythona 3.x do ogólnego podświetlania składni
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{module}
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -n python3-%{module} -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%prep
%setup -q -n Pygments-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build -b build-2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-2}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-3}
%endif

%if %{with python2}
ln -sf pygmentize-2 $RPM_BUILD_ROOT%{_bindir}/pygmentize
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE TODO
%attr(755,root,root) %{_bindir}/pygmentize
%attr(755,root,root) %{_bindir}/pygmentize-2
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE TODO
%attr(755,root,root) %{_bindir}/pygmentize-3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygments.spec,v $
Revision 1.15  2012/06/14 14:08:05  kiesiu
- updated to 1.5

Revision 1.14  2011/08/12 16:31:24  qboosh
- pl
- revised docs

Revision 1.13  2011/07/15 17:23:46  jajcus
- no %py3_postclean
- Release: 2

Revision 1.12  2011/06/24 07:06:37  lisu
- P for python-Pygments

Revision 1.11  2011/06/24 07:04:15  lisu
- merged with python-Pygments

Revision 1.10  2011/05/19 06:40:45  cieciwa
- version 1.4.1,
- release 1,
- updated MD5 sum.

Revision 1.9  2011/04/05 13:48:45  jajcus
- Release: 3
- package the egg-info dirs – without them other python software won't find
  Pygments!

Revision 1.8  2010/08/28 20:05:52  aredridel
- remove egg files from spec, they're not built

Revision 1.7  2010/07/20 18:32:54  witekfl
- conditional BRs

Revision 1.6  2010/07/08 08:30:26  arekm
- release 2

Revision 1.5  2010/05/14 01:18:54  sparky
- BR: python, python-modules, python3, python3-2to3, python3-devel,
  python3-distribute, python3-modules, rpm-pythonprov

Revision 1.4  2010/03/27 16:11:52  wiget
- updated to 1.3.1
- build python3 version too

Revision 1.3  2009/10/11 11:32:15  wiget
- updated to 1.1.1

Revision 1.2  2008/12/05 02:10:45  wrobell
- ver. 1.0

Revision 1.1  2008/10/16 19:47:37  wrobell
- based on sphinx-pdg.spec
